Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Svc_Conf.h File Reference

Svc_Conf.h,v 4.31 2002/05/08 21:54:10 nanbor Exp. More...

`#include "ace/pre.h"`
`#include "ace/Obstack.h"`
`#include "ace/Service_Config.h"`
`#include "ace/Parse_Node.h"`
`#include "ace/post.h"`

Include dependency graph for Svc_Conf.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Svc_Conf_Param
| An instance of this object will be passed down to the yyparse() and yylex() functions. More...
union | ACE_YYSTYPE
## Defines
#define | ACE_YY_DECL extern "C" int ace_yylex (ACE_YYSTYPE *ace_yylval, void *ACE_YYLEX_PARAM)
| Performs the lexical analysis. More...
#define | ACE_YYPARSE_PARAM ace_svc_conf_parameter
#define | ACE_YYLEX_PARAM ACE_YYPARSE_PARAM
#define | ACE_SVC_CONF_PARAM (ACE_static_cast (ACE_Svc_Conf_Param *, ACE_YYLEX_PARAM))
## Functions
void | ace_yy_delete_buffer (ace_yy_buffer_state *buffer)
void | ace_yy_push_buffer (FILE *file, ace_yy_buffer_state *&buffer)
| Create and push a new lexer buffer on to the buffer stack for use when scanning the given file. More...
void | ace_yy_push_buffer (const ACE_TCHAR *directive, ace_yy_buffer_state *&buffer)
| Create and push a new lexer buffer on to the buffer stack for use when scanning the given directive. More...
void | ace_yy_pop_buffer (ace_yy_buffer_state *buf)
| Pop the current lexer buffer off of the buffer stack and deallocate it. More...
int | ace_yyparse (void *)
| Performs the parsing. More...
void | ace_yyerror (const ACE_TCHAR *)
| Error handling routine required by YACC or BISON. More...
ACE_Service_Type_Impl * | ace_create_service_type (const ACE_TCHAR *, int, void *, unsigned int, ACE_Service_Object_Exterminator=0)
| Factory that creates a new ACE_Service_Type_Impl. More...
## Variables
FILE * | ace_yyin
| Name of input stream. More...
int | ace_yylineno
| Keeps track of the current line number for error-handling routine. More...
int | ace_yyerrno
| Keeps track of the number of errors encountered so far. More...
ACE_TCHAR * | ace_yytext
| Holds the lexeme for the current token. More...
int | ace_yyleng
| Holds the length of the lexeme for the current token. More...

## Detailed Description

Svc_Conf.h,v 4.31 2002/05/08 21:54:10 nanbor Exp.

Author:
  Doug Schmidt

## Define Documentation

#define ACE_SVC_CONF_PARAM (ACE_static_cast (ACE_Svc_Conf_Param *, ACE_YYLEX_PARAM))

ACE_YY_DECL extern "C" int ace_yylex (ACE_YYSTYPE *ace_yylval, void *ACE_YYLEX_PARAM)

| Performs the lexical analysis.

#define ACE_YYLEX_PARAM ACE_YYPARSE_PARAM

#define ACE_YYPARSE_PARAM ace_svc_conf_parameter

## Function Documentation

ACE_Service_Type_Impl* ace_create_service_type | ( | const ACE_TCHAR * | ,
|  | int | ,
|  | void * | ,
|  | unsigned | int,
|  | ACE_Service_Object_Exterminator | = 0
| ) |

| Factory that creates a new ACE_Service_Type_Impl.

void ace_yy_delete_buffer | ( | ace_yy_buffer_state * | buffer | ) |

void ace_yy_pop_buffer | ( | ace_yy_buffer_state * | buf | ) |

| Pop the current lexer buffer off of the buffer stack and deallocate it.

void ace_yy_push_buffer | ( | const ACE_TCHAR * | directive,
|  | ace_yy_buffer_state *& | buffer
| ) |

| Create and push a new lexer buffer on to the buffer stack for use when scanning the given directive.

void ace_yy_push_buffer | ( | FILE * | file,
|  | ace_yy_buffer_state *& | buffer
| ) |

| Create and push a new lexer buffer on to the buffer stack for use when scanning the given file.

void ace_yyerror | ( | const ACE_TCHAR * | s | ) |

| Error handling routine required by YACC or BISON.

int ace_yyparse | ( | void * |  | ) |

| Performs the parsing.

## Variable Documentation

int ace_yyerrno

| Keeps track of the number of errors encountered so far.

FILE* ace_yyin

| Name of input stream.

int ace_yyleng

| Holds the length of the lexeme for the current token.

int ace_yylineno

| Keeps track of the current line number for error-handling routine.

ACE_TCHAR* ace_yytext

| Holds the lexeme for the current token.